Sso\WebserviceBundle\Entity\Webservice\Type\Application:
    type: entity
    table: application
    uniqueConstraints:
        udx_application_lowername:
            columns:
                - application_lowername
    id:
        Id:
            type: string
            nullable: false
            length: 64
            fixed: true
            id: true
            column: application_id
            generator:
                strategy: NONE
    fields:
        Name:
            type: string
            nullable: false
            length: 127
            fixed: false
            column: application_name
        Lowername:
            type: string
            nullable: false
            length: 127
            fixed: false
            column: application_lowername
        Description:
            type: string
            nullable: true
            length: 255
            fixed: false
            column: application_description
    oneToMany:
        Roles:
            targetEntity: Role
            mappedBy: Application
        Attributes:
            targetEntity: Attribute
            mappedBy: Application
        UserApplications:
            targetEntity: UserApplication
            mappedBy: Application
    lifecycleCallbacks: {  }
